Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_ADA.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_ADA.cfg	(revision 8817)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_ADA.cfg	(revision 8818)
@@ -5,5 +5,5 @@
 ## Default settings
 ##---------------------------------------------------
-TRUST_JOB_ENV=${TRUST_DIR_XIOS}/arch/arch-${TRUST_MAIN_HPCC}
+TRUST_JOB_ENV=${TRUST_IO_XIOS}/arch/arch-${TRUST_MAIN_HPCC}
 
 ='cdo diffn'
@@ -26,5 +26,5 @@
 
 TRUST_COMPILE_FORTRAN='ifort'
-TRUST_CDO='cdo/'
+TRUST_IO_CDO='cdo/'
 TRUST_COMPILE_MPI='intel/impi/'
 TRUST_COMPILE_NETCDF='netcdf/'
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE.cfg	(revision 8817)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE.cfg	(revision 8818)
@@ -5,5 +5,5 @@
 ## Default settings
 ##---------------------------------------------------
-TRUST_JOB_ENV=${TRUST_DIR_XIOS}/arch/arch-${TRUST_MAIN_HPCC}
+TRUST_JOB_ENV=${TRUST_IO_XIOS}/arch/arch-${TRUST_MAIN_HPCC}
 
 ='cdo diffn'
@@ -26,5 +26,5 @@
 
 TRUST_COMPILE_FORTRAN='ifort'
-TRUST_CDO='netcdf-utils-'
+TRUST_IO_CDO='netcdf-utils-'
 TRUST_COMPILE_MPI='bullxmpi/'
 TRUST_COMPILE_NETCDF='netcdf-'
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_cron.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_cron.cfg	(revision 8817)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/X64_CURIE_cron.cfg	(revision 8818)
@@ -5,5 +5,5 @@
 ## Default settings
 ##---------------------------------------------------
-TRUST_JOB_ENV=${TRUST_DIR_XIOS}/arch/arch-${TRUST_MAIN_HPCC}.env
+TRUST_JOB_ENV=${TRUST_IO_XIOS}/arch/arch-${TRUST_MAIN_HPCC}.env
 
 TRUST_COMPILE_FORTRAN='ifort'
@@ -12,5 +12,5 @@
 TRUST_COMPILE_NETCDF='netcdf-[0-9]'
 
-TRUST_CDO='cdo'
+TRUST_IO_CDO='cdo'
 
 [ -z "${TRUST_COMPILE_NPROC}" ] && TRUST_COMPILE_NPROC='4'
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/arch_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/arch_template.cfg	(revision 8817)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/arch_template.cfg	(revision 8818)
@@ -9,6 +9,6 @@
 ## Default settings
 ##---------------------------------------------------
-# (Super)Computer environment (${TRUST_DIR_XIOS} is already defined in the user configuration file)
-TRUST_JOB_ENV=${TRUST_DIR_XIOS}/arch/arch-${TRUST_MAIN_HPCC}
+# (Super)Computer environment (${TRUST_IO_XIOS} is already defined in the user configuration file)
+TRUST_JOB_ENV=${TRUST_IO_XIOS}/arch/arch-${TRUST_MAIN_HPCC}
 ## If `module` is available, ${TRUST_JOB_ENV}.env will be sourced
 ## If not (scheduled jobs), it will be ${TRUST_JOB_ENV}.path or finally ${TRUST_JOB_ENV}
@@ -46,5 +46,5 @@
 ## Software/libraries (string pattern to match just before the release number in $PATH)
 ## Respectively CDO (Climate Data Operators) / MPI libraries / NetCDF libraries
-TRUST_CDO=''       ## ex: 'cdo/'|'netcdf-utils-'
+TRUST_IO_CDO=''       ## ex: 'cdo/'|'netcdf-utils-'
 TRUST_COMPILE_MPI=''       ## ex: 'intel/impi/'|'bullxmpi/'
 TRUST_COMPILE_NETCDF=''       ## ex: 'netcdf/'|'netcdf-'
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/martin.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/martin.cfg	(revision 8817)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/martin.cfg	(revision 8818)
@@ -1,61 +1,40 @@
-## Installation for trusting tests on Curie Supercomputer
-##---------------------------------------------------
+## Settings for 
+##--------------------------------------------------------------------------------
 
 
-## Default settings
-##---------------------------------------------------
-TRUST_SVN_CO=( 'ARCH           CONFIG          NEMO               \
-                EXTERNAL/AGRIF EXTERNAL/fcm    EXTERNAL/IOIPSL    \
-                TOOLS/COMPILE  TOOLS/maketools TOOLS/REBUILD_NEMO  ' )
+## Trusting installation
+## ---------------------
+   TRUST_DIR_WORK=$CCCWORKDIR/NEMO
+TRUST_DIR_SCRATCH=$CCCSCRATCHDIR/NEMO/trusting
+  TRUST_DIR_STORE=$CCCSTOREDIR/NEMO/trusting_sav
 
-TRUST_CFG_NEW=${TRUST_CFG_REF}'_trust'
 
-if   [ -z "${TRUST_SVN_BRANCH}"                      ]; then
-    TRUST_SVN_BRANCH='trunk'
+## Branch checkout
+## ---------------
 
-    if   [ -z "${TRUST_CFG_REF}"           ]; then
-	TRUST_CFG_REF='ORCA2_LIM3_PISCES'
-    elif [     ${TRUST_CFG_REF} == 'AMM12' ]; then
-	TRUST_CFG_FORC='AMM12_v3.7.tar'
-    fi
 
-    [ -z "${TRUST_CFG_FORC}" ] && TRUST_CFG_FORC='ORCA2_LIM_nemo_v3.7.tar  \
-                                                  INPUTS_PISCES_v3.6st.tar  '
-elif [     ${TRUST_SVN_BRANCH} == 'nemo_v3_6_STABLE' ]; then
+## NEMO configuration
+## ------------------
+[ ${TRUST_CFG_REF} == 'ORCA2_LIM_PISCES'  ] && TRUST_CFG_NEW='O2LP_trust'
+[ ${TRUST_CFG_REF} == 'ORCA2_LIM3_PISCES' ] && TRUST_CFG_NEW='O2L3P_trust'
+[ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ] && TRUST_CFG_NEW='O1L3P_trust'
 
-    if   [ -z "${TRUST_CFG_REF}"                       ]; then
-	TRUST_CFG_REF='ORCA2_LIM_PISCES'
-    elif [     ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ]; then
-	TRUST_CFG_FORC='INPUTS_ORCA1_LIM3_PISCES_V10.tar'
-    elif [     ${TRUST_CFG_REF} == 'AMM12'             ]; then
-	TRUST_CFG_FORC='AMM12_v3.6.tar'
-    fi
 
+## Inputs/Outputs
+## --------------
+TRUST_IO_FORC_PATH=$CCCWORKDIR/NEMO/FORC
+     TRUST_IO_XIOS=$CCCWORKDIR/XIOS
+
+if   [ ${TRUST_SVN_BRANCH} == 'nemo_v3_6_STABLE'  ]; then
+    TRUST_IO_XIOS+='/xios-1.0'
+elif [ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES'    ]; then
+    TRUST_IO_XIOS+='/XIOS_DEV_CMIP6'
+else
+    TRUST_IO_XIOS+='/trunk'
 fi
 
-TRUST_CFG_KEY_ADD=''; TRUST_CFG_KEY_DEL=''
 
-[ -z "${TRUST_CFG_FORC}" ] && TRUST_CFG_FORC='ORCA2_LIM_nemo_v3.6.tar'
+## Trusting test
+##--------------
 
-## User environment
-##---------------------------------------------------
-TRUST_DIR_WORK=$CCCWORKDIR/NEMO
-TRUST_DIR_SCRATCH=$CCCSCRATCHDIR/NEMO/trusting/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}/${TRUST_TEST_DATE}
-TRUST_DIR_STORE=$CCCSTOREDIR/NEMO/trusting_sav/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}
-TRUST_DIR_FORC=$CCCWORKDIR/NEMO/FORC
-TRUST_DIR_XIOS=$CCCWORKDIR/XIOS/xios-1.0
-
-if   [ ${TRUST_CFG_REF} == 'ORCA2_LIM_PISCES'  ]; then
-    TRUST_CFG_NEW='O2LP_trust'
-elif [ ${TRUST_CFG_REF} == 'ORCA2_LIM3_PISCES' ]; then
-    TRUST_CFG_NEW='O2L3P_trust'
-elif [ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ]; then
-    TRUST_CFG_NEW='O1L3P_trust'
-    TRUST_DIR_XIOS=$CCCWORKDIR/XIOS/XIOS_DEV_CMIP6
-fi
-
-[ ${TRUST_SVN_BRANCH} == 'trunk' ] && TRUST_DIR_XIOS=$CCCWORKDIR/XIOS/trunk
-
-[ -z "${TRUST_TEST_MAILING}" ] && TRUST_TEST_MAILING='nicolas.martin@upmc.fr
-                                    claire.levy@locean-ipsl.upmc.fr
-                                    officers@nemo-ocean.eu'
+TRUST_TEST_MAILING=$( cat ./cfg/mailing_list.txt )
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/romr005.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/romr005.cfg	(revision 8817)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/romr005.cfg	(revision 8818)
@@ -13,7 +13,7 @@
 TRUST_CFG_NEW=${TRUST_CFG_REF}'_trust'
 
-[ -z "${TRUST_CFG_FORC}" ] && TRUST_CFG_FORC='ORCA2_LIM_nemo_v3.6.tar'
-[ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ] && TRUST_CFG_FORC='INPUTS_ORCA1_LIM3_PISCES_V6.tar'
-[ ${TRUST_CFG_REF} == 'AMM12'             ] && TRUST_CFG_FORC='AMM12_v3.6.tar'
+[ -z "${TRUST_IO_FORC_TAR}" ] && TRUST_IO_FORC_TAR='ORCA2_LIM_nemo_v3.6.tar'
+[ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ] && TRUST_IO_FORC_TAR='INPUTS_ORCA1_LIM3_PISCES_V6.tar'
+[ ${TRUST_CFG_REF} == 'AMM12'             ] && TRUST_IO_FORC_TAR='AMM12_v3.6.tar'
 
 TRUST_CFG_KEY_ADD=''; TRUST_CFG_KEY_DEL=''
@@ -26,6 +26,6 @@
 TRUST_DIR_SCRATCH=$WORKDIR/NEMO/trusting/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}/${TRUST_TEST_DATE}
 TRUST_DIR_STORE=$WORKDIR/NEMO/trusting_sav/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}
-TRUST_DIR_FORC=$WORKDIR/NEMO/FORC
-TRUST_DIR_XIOS=$WORKDIR/XIOS/xios-1.0
+TRUST_IO_FORC_PATH=$WORKDIR/NEMO/FORC
+TRUST_IO_XIOS=$WORKDIR/XIOS/xios-1.0
 
 [ ${TRUST_CFG_REF} == 'ORCA2_LIM_PISCES'  ] && TRUST_CFG_NEW='O2LP_trust'
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/user_template.cfg
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/user_template.cfg	(revision 8817)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/cfg/user_template.cfg	(revision 8818)
@@ -1,49 +1,83 @@
 ## User configuration template
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
 
-## Copy to root, rename it and then fill in according to your user environment
-## Rules for completion: undefined variables (=) are mandatory & void variables (='') are optional
-## Look into other configuration file for examples
+## Copy/Rename it and fill in according to your environment.
+
+##  Rules for completion:
+##o Undefined variables (XXX=  ) are mandatory
+##o Empty     variables (XXX='') are optional, default value 
+
+## Look into other configuration file for examples.
+
+##  Most of the settings can be changed "on-the-fly" from the console to avoid
+##+ the creation of several configuration files.
+##+ See `./trusting.sh -h`
+
+##--------------------------------------------------------------------------------
+
+## Trusting installation
+## ---------------------
+
+## Checkout/Compilation folder ('CONFIG' root directory by default)
+TRUST_DIR_WORK=''
+
+##            Computing folder ('TRUST'  root directory by default)
+TRUST_DIR_SCRATCH=''
+
+##  Benchmark files folder (not mandatory for initial test), it can contains
+##o Inputs   (expected): "cpp_*", "*namelist_*", "*.xml"
+##o 'inputs_list.txt'  : forcing files listing from initial test
+##o Outputs  (expected): 'ocean.output', "*.stat" 
+##o Restarts (optional): execute `cdo diffn` if available
+TRUST_DIR_STORE=''
 
 
-## Default settings
-##---------------------------------------------------
-## These settings can be changed directly from command line to reduce number of user configuration file
-## See `./trusting.sh [-h|--help]`
+## Branch checkout (./install_new_branch.sh)
+##------------------------------------------
 
-## SVN branch name ('trunk', 'nemo_v3_6_STABLE', development branches)
-[ -z "${TRUST_SVN_BRANCH}" ] && TRUST_SVN_BRANCH='trunk'
-
-## Minimal content for code checkout/update
-TRUST_SVN_CO=( 'ARCH           CONFIG          NEMO               
-             EXTERNAL/AGRIF EXTERNAL/fcm    EXTERNAL/IOIPSL    
-             TOOLS/COMPILE  TOOLS/maketools TOOLS/REBUILD_NEMO  ' )
-
-[ -z "${TRUST_CFG_REF}" ] && TRUST_CFG_REF='ORCA2_LIM_PISCES'     ## Reference configuration to test
-TRUST_CFG_NEW=${TRUST_CFG_REF}'_trust'                            ## Testing configuration name
-
-## Forcing archive, let void if just need to copy the files inside ${TRUST_DIR_FORC}
-[ -z "${TRUST_CFG_FORC}" ] && TRUST_CFG_FORC='ORCA2_LIM_nemo_v3.6.tar'
-[ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ] && TRUST_CFG_FORC='INPUTS_ORCA1_LIM3_PISCES_V6.tar'
-[ ${TRUST_CFG_REF} == 'AMM12'             ] && TRUST_CFG_FORC='AMM12_v3.6.tar'
-
-## CPP keys to add or remove from reference configuration
-TRUST_CFG_KEY_ADD=''; TRUST_CFG_KEY_DEL=''
-[ ${TRUST_CFG_REF} == 'ORCA2_LIM' ] && TRUST_CFG_KEY_ADD='key_add key_agrif' && TRUST_CFG_KEY_DEL='key_del key_zdftmx'
+## SVN branch name ('trunk' by default)
+TRUST_SVN_BRANCH='' 
 
 
-## User environment
-##---------------------------------------------------
-TRUST_DIR_WORK=     ## Testing folder for compilation (branches checkouts & configuration compilation)
-TRUST_DIR_SCRATCH=     ##   " "     ""   " " computation
-                 ## ...../${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}/${TRUST_TEST_DATE} recommended
-TRUST_DIR_STORE=     ## Benchmark folder where target files for comparison have been stored, ie:
-               ## Inputs  (all) : cpp_*, namelist_*, *.xml et inputs_list.txt (created by initial test)
-               ## Outputs (any) : *.stat, ocean.output, restarts
-                 ## ...../${TRUST_CFG_REF}/${TRUST_SVN_BRANCH} recommended (same layout as ${TRUST_DIR_SCRATCH})
-TRUST_DIR_FORC=     ## Path to the forcing archive to extract (usage combined with ${TRUST_CFG_FORC}) or
-               ##    ""   all inputs files who will be copied into ${TRUST_DIR_SCRATCH}
-TRUST_DIR_XIOS=     ## XIOS installation
+## NEMO Configuration
+##-------------------
 
-## Mailing list to notify on failure (-p|--prod option required)
-[ -z "${TRUST_TEST_MAILING}" ] && TRUST_TEST_MAILING=''
+##   Testing configuration name ("${TRUST_CFG_REF}_trust")
+TRUST_CFG_NEW=''
+
+## Reference configuration      ('ORCA2_LIM3_PISCES', 'ORCA2_LIM_PISCES' for stable)
+TRUST_CFG_REF=''
+
+## CPP keys management
+TRUST_CFG_KEY_ADD=''; TRUST_CFG_KEY_DEL=''
+
+
+## Inputs/Outputs
+## --------------
+
+##  Forcing files, not mandatory but read the following carefully.
+##  2 variables to handle 4 different cases: TRUST_IO_FORC_PATH for path to the forcing directory
+##+ and TRUST_IO_FORC_TAR for potential archive(s) to extract
+##o TRUST_IO_FORC_PATH unset & TRUST_IO_FORC_TAR unset => No files needed at all
+##o TRUST_IO_FORC_PATH set   & TRUST_IO_FORC_TAR empty => All inside files will be copied
+##o TRUST_IO_FORC_PATH set   & TRUST_IO_FORC_TAR   set => Files will be extracted from archives list
+##o TRUST_IO_FORC_PATH set   & TRUST_IO_FORC_TAR unset => Let default set for branch and ref.cfg
+##  'unset' means variable not declared somewhere in the code.
+TRUST_IO_FORC_PATH=
+#TRUST_IO_FORC_TAR=
+
+## XIOS installation path (mandatory)
+TRUST_IO_XIOS=
+
+
+## Trusting test
+##--------------
+
+##  Customize path of testing and benchmark folders
+##+ (${TRUST_DIR_SCRATCH}/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}/${TRUST_TEST_DATE})
+TRUST_TEST_DIR=''
+##+ (${TRUST_DIR_STORE}/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH})
+TRUST_TEST_BENCHMARK=''
+
+## Emails list to notify on failure, '-p' arg. required
+TRUST_TEST_MAILING=''
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting.env
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting.env	(revision 8817)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting.env	(revision 8818)
@@ -2,23 +2,143 @@
 
 
+## Defaults
+##--------------------------------------------------------------------------------
+
+[ -z "${TRUST_SVN_BRANCH}" ] && TRUST_SVN_BRANCH='trunk'
+
+## Ref. cfg. unset or empty (mandatory)
+if [[ -z "${TRUST_CFG_REF}" ]]; then
+
+    ## Default cfg from trunk excepting last stable
+    TRUST_CFG_REF='ORCA2_LIM3_PISCES'
+
+    if [[ ${TRUST_SVN_BRANCH} && ${TRUST_SVN_BRANCH} == 'nemo_v3_6_STABLE' ]]; then
+	TRUST_CFG_REF='ORCA2_LIM_PISCES'
+    fi
+
+fi
+
+## Forcing archive unset
+#if [[ ! ${TRUST_IO_FORC_TAR} && ${TRUST_IO_FORC_TAR-_} ]]; then
+
+    ## Forcing directory set
+#    if [ ${TRUST_IO_FORC_PATH} ]; then
+
+	## Default forcing archive from trunk
+#	TRUST_IO_FORC_TAR='ORCA2_LIM_nemo_v3.7.tar INPUTS_PISCES_v3.6st.tar'
+
+#	[ ${TRUST_CFG_REF} == 'AMM12' ] && TRUST_IO_FORC_TAR='AMM12_v3.7.tar'
+
+#	if [ ${TRUST_SVN_BRANCH} == 'nemo_v3_6_STABLE' ]; then
+
+#	    TRUST_IO_FORC_TAR='ORCA2_LIM_nemo_v3.6.tar'
+
+#	    if   [ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ]; then
+#		TRUST_IO_FORC_TAR='INPUTS_ORCA1_LIM3_PISCES_V10.tar'
+#	    elif [ ${TRUST_CFG_REF} == 'AMM12'             ]; then
+#		TRUST_IO_FORC_TAR='AMM12_v3.6.tar'
+#	    fi
+
+#	fi
+
+#    fi
+
+#fi
+
+
 ## Source user & (super)computer configurations
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
 . ./cfg/${TRUST_MAIN_USER}.cfg
 . ./cfg/${TRUST_MAIN_HPCC}.cfg
 
-## Global environment variables per realm
-##---------------------------------------
 
-## Installation and 1^st^ branch checkout (./install_new_branch.sh)
+## Checking and export environment variables
+##--------------------------------------------------------------------------------
+
+## Trusting installation
+## ---------------------
+
+[ -z "${TRUST_DIR_WORK}"    ] &&    TRUST_DIR_WORK=${TRUST_MAIN_DIR}/../CONFIG
+[ -z "${TRUST_DIR_SCRATCH}" ] && TRUST_DIR_SCRATCH=${TRUST_MAIN_DIR}
+
 export TRUST_DIR_WORK TRUST_DIR_SCRATCH TRUST_DIR_STORE
+
+
+## Branch checkout (./install_new_branch.sh)
+##------------------------------------------
+
 export TRUST_SVN_REPO='https://forge.ipsl.jussieu.fr/nemo/svn'
+
+export TRUST_SVN_CO=( 'ARCH           CONFIG          NEMO               \
+                       EXTERNAL/AGRIF EXTERNAL/fcm    EXTERNAL/IOIPSL    \
+                       TOOLS/COMPILE  TOOLS/maketools TOOLS/REBUILD_NEMO \
+                       TRUST                                              ' )
+
 export TRUST_SVN_BRANCH
-export TRUST_DIR_NEMOGCM=${TRUST_DIR_WORK}/${TRUST_SVN_BRANCH}/NEMOGCM
 
-## Configuration 
-export TRUST_CFG_REF TRUST_CFG_NEW TRUST_CFG_KEY_ADD TRUST_CFG_KEY_DEL
-export TRUST_DIR_XIOS TRUST_DIR_FORC TRUST_CFG_FORC
+export TRUST_SVN_NEMOGCM=${TRUST_DIR_WORK}/${TRUST_SVN_BRANCH}/NEMOGCM
+
+
+## NEMO Configuration
+##-------------------
+
+## Ref. cfg. unset or empty (mandatory)
+#if [[ -z "${TRUST_CFG_REF}" ]]; then
+
+    ## Default cfg from trunk excepting last stable
+#    TRUST_CFG_REF='ORCA2_LIM3_PISCES'
+
+#    if [ ${TRUST_SVN_BRANCH} == 'nemo_v3_6_STABLE' ]; then
+#	TRUST_CFG_REF='ORCA2_LIM_PISCES'
+#    fi
+
+#fi
+
+## Forcing archive unset
+if [[ ! ${TRUST_IO_FORC_TAR} && ${TRUST_IO_FORC_TAR-_} ]]; then
+
+    ## Forcing directory set
+    if [ ${TRUST_IO_FORC_PATH} ]; then
+
+	## Default forcing archive from trunk
+	TRUST_IO_FORC_TAR='ORCA2_LIM_nemo_v3.7.tar INPUTS_PISCES_v3.6st.tar'
+
+	[ ${TRUST_CFG_REF} == 'AMM12' ] && TRUST_IO_FORC_TAR='AMM12_v3.7.tar'
+
+	if [ ${TRUST_SVN_BRANCH} == 'nemo_v3_6_STABLE' ]; then
+
+	    TRUST_IO_FORC_TAR='ORCA2_LIM_nemo_v3.6.tar'
+
+	    if   [ ${TRUST_CFG_REF} == 'ORCA1_LIM3_PISCES' ]; then
+		TRUST_IO_FORC_TAR='INPUTS_ORCA1_LIM3_PISCES_V10.tar'
+	    elif [ ${TRUST_CFG_REF} == 'AMM12'             ]; then
+		TRUST_IO_FORC_TAR='AMM12_v3.6.tar'
+	    fi
+
+	fi
+
+    fi
+
+fi
+
+[ -z "${TRUST_CFG_NEW}" ] && TRUST_CFG_NEW=${TRUST_CFG_REF}'_trust'
+
+export TRUST_CFG_NEW TRUST_CFG_REF
+export TRUST_IO_FORC_TAR
+
+export TRUST_CFG_KEY_ADD TRUST_CFG_KEY_DEL
+
+
+## Inputs/Outputs
+## --------------
+
+[ -z "${TRUST_IO_XIOS}" ] && get_out X
+export TRUST_IO_XIOS TRUST_IO_FORC_PATH
+export TRUST_IO_CDO
+
 
 ## Compilation & Running
+##----------------------
+
 export TRUST_JOB_ENV
 export TRUST_COMPILE_FORTRAN TRUST_COMPILE_NPROC
@@ -27,11 +147,28 @@
 export TRUST_JOB_STATE  TRUST_JOB_KILL   TRUST_JOB_TIMEOUT
 export TRUST_JOB_INFO   TRUST_JOB_TIME   TRUST_JOB_RAM_P   TRUST_JOB_RAM_V
-export TRUST_CDO
+
 
 ## Trusting test
+##--------------
+
 export TRUST_TEST_NAME=${TRUST_MAIN_USER}'_'${TRUST_MAIN_HPCC}
 export TRUST_TEST_DATE=$( date -u +"%Y%m%d%Z%H%M" )
+
 export TRUST_TEST_SUMMARY=trusting_${TRUST_TEST_DATE}_${TRUST_TEST_NAME}.txt
-export TRUST_TEST_BACKUP=trusting_${TRUST_TEST_DATE}_${TRUST_TEST_NAME}.tgz
-export TRUST_TEST_LOG=${TRUST_DIR_STORE}/trusting_${TRUST_TEST_NAME}.txt
+export  TRUST_TEST_BACKUP=trusting_${TRUST_TEST_DATE}_${TRUST_TEST_NAME}.tgz
+
+##       TRUST_TEST_DIR unset
+if [[ ! ${TRUST_TEST_DIR}       && ${TRUST_TEST_DIR-_}       ]]; then
+        TRUST_TEST_DIR=${TRUST_DIR_SCRATCH}/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}/${TRUST_TEST_DATE}
+    export TRUST_TEST_DIR
+fi
+
+## TRUST_TEST_BENCHMARK unset
+if [[ ! ${TRUST_TEST_BENCHMARK} && ${TRUST_TEST_BENCHMARK-_} ]]; then
+    TRUST_TEST_BENCHMARK=${TRUST_DIR_STORE}/${TRUST_CFG_REF}/${TRUST_SVN_BRANCH}
+    export TRUST_TEST_BENCHMARK
+fi
+
+export TRUST_TEST_LOG=${TRUST_DIR_BENCHMARK}/trusting_${TRUST_TEST_NAME}.txt
+
 export TRUST_TEST_MAILING
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting_func.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting_func.sh	(revision 8817)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/inc/trusting_func.sh	(revision 8818)
@@ -53,14 +53,12 @@
 
     ## Loop on essential NEMO directories
-    for dir in ${TRUST_SVN_CO} ${TRUST_DIR_XIOS}; do
+    for dir in ${TRUST_SVN_CO} ${TRUST_IO_XIOS}; do
 
 	## For time being, just get revision from XIOS with no action on directory
-	if [ $dir == ${TRUST_DIR_XIOS} ]; then
+	if [ $dir == ${TRUST_IO_XIOS} ]; then
 	    rev_loc=$( svn info $dir | awk '/Last Changed Rev/ {print $NF}' )
 	    echo 'XIOS '${rev_loc} \
 		>> model.log
-	    echo "<a href=\"https://forge.ipsl.jussieu.fr/ioserver/changeset/${rev_loc}\" target=\"_blank\"> \
-		  ${rev_loc}                                                                                 \
-		  </a>"                                                                                      \
+	    echo "<a href=\"https://forge.ipsl.jussieu.fr/ioserver/changeset/${rev_loc}\" target=\"_blank\">${rev_loc}</a>"
 		>> ${file_xios}
 	    continue
@@ -77,7 +75,5 @@
     echo 'NEMOGCM '$rev \
 	>> model.log
-    echo "<a href=\"https://forge.ipsl.jussieu.fr/nemo/changeset/$rev\" target=\"_blank\"> \
-	  $rev                                                                             \
-	  </a> "                                                                           \
+    echo "<a href=\"https://forge.ipsl.jussieu.fr/nemo/changeset/$rev\" target=\"_blank\">$rev</a>"
 	>> ${file_nemo}
 }
@@ -91,5 +87,5 @@
     for str in ${TRUST_COMPILE_FORTRAN}                         \
 	       ${TRUST_COMPILE_MPI}     ${TRUST_COMPILE_NETCDF} \
-	       ${TRUST_CDO}                                      ; do
+	       ${TRUST_IO_CDO}                                    ; do
 	[ -z "$str" ] && continue
 	ver=''
@@ -99,5 +95,5 @@
 
 	## option --version would work for main Fortran compilers and CDO
-	if [[ $str =~ ${TRUST_COMPILE_FORTRAN}|${TRUST_CDO} ]]; then
+	if [[ $str =~ ${TRUST_COMPILE_FORTRAN}|${TRUST_IO_CDO} ]]; then
 	    ver=$( $str --version 2>&1 | grep -m1 -oe '\<[0-9. ]*\>' \
 		   | xargs echo $str                                   )
@@ -121,23 +117,37 @@
 
 get_inputs() {
-    # List archive content & extract it by default
+     # List archive content & extract it by default
     local inputs_list=$( eval "
-	for archive in ${TRUST_CFG_FORC}; do
-	    tar -tvf ${TRUST_DIR_FORC}/\$archive >> inputs_list.txt;
-	done
-	" )
+        for archive in ${TRUST_IO_FORC_TAR}; do
+            tar -tvf ${TRUST_IO_FORC_PATH}/\$archive >> inputs_list.txt;
+         done
+         " )
     local inputs_get=$( eval "
-	for archive in ${TRUST_CFG_FORC}; do
-	    tar -vxf ${TRUST_DIR_FORC}/\$archive  >       /dev/null;
-	done
-	" )
-
+        for archive in ${TRUST_IO_FORC_TAR}; do
+            tar -vxf ${TRUST_IO_FORC_PATH}/\$archive  >       /dev/null;
+         done
+         " )
+ 
     ## List & copy files without archive
-    if [ -z "${TRUST_CFG_FORC}" ]; then
-	inputs_list=" ls -lh ${TRUST_DIR_FORC}/* >> inputs_list.txt"
-	inputs_get=" \cp     ${TRUST_DIR_FORC}/* .                 "
+    if [ -z "${TRUST_IO_FORC_TAR}" ]; then
+        inputs_list=" ls -lh ${TRUST_IO_FORC_PATH}/* >> inputs_list.txt"
+        inputs_get=" \cp     ${TRUST_IO_FORC_PATH}/* .                 "
     fi
 
     ${inputs_list}; ${inputs_get}
+
+#    for entry in ${TRUST_IO_FORC_PATH}; do
+#
+	# If path to file (assuming it is an archive)
+#	if   [ -e $entry ]; then
+#	    tar -tvf $entry >> inputs_list.txt;
+#	    tar -vxf $entry  >       /dev/null;
+	# If path to directory
+#	elif [ -d $entry ]; then
+#	    inputs_list=" ls -lh ${TRUST_IO_FORC_PATH}/* >> inputs_list.txt"
+#	    inputs_get=" \cp     ${TRUST_IO_FORC_PATH}/* .                 "
+#	fi    
+
+#    done
 
     if [ $( find -name '*.gz' -print -quit ) ]; then
@@ -150,11 +160,15 @@
     local files_list='' mesg='Same' 
 
+    ###################################
+    ## Think of copying initial test ##
+    ###################################
+
     ## Simple diff
-    for file in 'inputs_list.txt' *namelist_* *.xml cpp_*; do
+    for file in cpp_* 'inputs_list.txt' *namelist_* *.xml; do
 	dif=''
 
 	## Continue even if input file is not in here (see after)
-	if [ -e ${TRUST_DIR_STORE}/$file ]; then
-	    dif=$( diff -q $file ${TRUST_DIR_STORE}/$file )
+	if [ -e ${TRUST_TEST_BENCHMARK}/$file ]; then
+	    dif=$( diff -q $file ${TRUST_TEST_BENCHMARK}/$file )
 	else 
 	    dif=0
@@ -209,20 +223,17 @@
     local files_list='' mesg='Same'
 
+    ###################################
+    ## Think of copying initial test ##
+    ###################################
+
     ## Simple diff
     for file in 'ocean.output' *.stat; do
 	## Stop if no minimal benchmark files (ocean.output, eventual stat files)
-	if [ ! -e ${TRUST_DIR_STORE}/$file ]; then
-	    TRUST_FLAG_RESULT='FAILED'
-	    get_out 7
-	fi
-
-	diff -q $file ${TRUST_DIR_STORE}/$file
+	[ ! -e ${TRUST_TEST_BENCHMARK}/$file ] && get_out 7
+
+	diff -q $file ${TRUST_TEST_BENCHMARK}/$file
 
 	## Continue even if it differs
-	if [ $? -ne 0 ]; then
-	    TRUST_FLAG_RESULT='FAILED'
-	    mesg='Different'
-	    files_list+=$file' '
-	fi
+	if [ $? -ne 0 ]; then mesg='Different'; files_list+=$file' '; fi
 
     done
@@ -241,7 +252,7 @@
     ## Find all restart files to rebuild
     if [ $( find -regex ".*_restart.*[0-9]\.nc" -print -quit ) ]; then
-        ################################################################
-	## Think to set the confgiguration name in the 'namelist_cfg' ##
-	################################################################
+        ###############################################################
+	## Think to set the configuration name in the 'namelist_cfg' ##
+	###############################################################
 	filebases=$( find -regextype sed -regex ".*${TRUST_CFG_NEW}.*_[0-9]\{4\}\.nc" \
 	             | sed 's/\(.*\)_.*/\1/' | sort -u                                  )
@@ -252,5 +263,9 @@
 		       | wc -l | awk '{print $1}'              )
 
-	    [ $ndomain -eq 0 ] && TRUST_FLAG_RESULT='FAILED' && get_out 8
+	    [ $ndomain -eq 0 ] && get_out X
+
+            #####################################################
+            ## Handle 2 possibilities of 'rebuild_nemo' origin ##
+            #####################################################
 
 	    ${TRUST_DIR_NEMOGCM}/TOOLS/REBUILD_NEMO/rebuild_nemo \
@@ -259,12 +274,16 @@
 
 	    ## Possibility of remaining decomposed restarts (even after rebuild)
-	    [ $? -eq 0 ] && rm -f ${filebase}_[0-9]*.nc \
-                > /dev/null
+	    if [ $? -eq 0 ]; then
+		rm -f ${filebase}_[0-9]*.nc \
+                    > /dev/null
+	    else
+		get_out X
+	    fi
 
             ## Stop if no benchmark files (restart file)
-	    if [ -e ${TRUST_DIR_STORE}/$filebase.nc ]; then
+	    if [ -e ${TRUST_TEST_BENCHMARK}/$filebase.nc ]; then
 
 		#bcmk='true'
-		cdo diffn $filebase.nc ${TRUST_DIR_STORE}/$filebase.nc \
+		cdo diffn $filebase.nc ${TRUST_TEST_BENCHMARK}/$filebase.nc \
 		    > cdo_diff.out 2> /dev/null
 
@@ -275,5 +294,4 @@
 
 		if [ -n "$dif" ]; then
-		    export TRUST_FLAG_RESULT='FAILED'
 		    files_list+=$filebase' ' && echo $filebase'.nc: '$dif
 		    let dif_sum+=$( echo $dif | sed '|^\([0-9]*\).*|\1|' )
@@ -283,10 +301,4 @@
 
 	done
-
-        ## No benchmark files
-	#if   [ $bcmk == 'false' ]; then
-	#    TRUST_FLAG_RESULT='FAILED'
-	#    get_out 7
-	#fi
 
         ## List modified restart(s) for web comment with sum of differences
@@ -384,7 +396,7 @@
 
 For more details, look into the testing folder at:
-${TRUST_DIR_SCRATCH}
+${TRUST_TEST_DIR}
 An archive is also available to share the questionable configuration:
-${TRUST_DIR_STORE}/${TRUST_TEST_BACKUP}
+${TRUST_TEST_BENCHMARK}/${TRUST_TEST_BACKUP}
 
 END_MAIL
@@ -392,6 +404,6 @@
 	    ## Send with detailed subject
 	    mail -s "[NEMO Trusting][${TRUST_CFG_REF}][${TRUST_SVN_BRANCH}] \
-		     ${TRUST_FLAG_RESULT} ${TRUST_FLAG_ERROR}"               \
-		 ${TRUST_TEST_MAILING}                                \
+		     ${TRUST_FLAG_RESULT} ${TRUST_FLAG_ERROR}"              \
+		 ${TRUST_TEST_MAILING}                                      \
 		<  trusting.mail
 	fi
@@ -408,5 +420,5 @@
 
     ## In case of compilation error
-    cd ${TRUST_DIR_SCRATCH}
+    cd ${TRUST_TEST_DIR}
 
     if [ ${TRUST_FLAG_RESULT} == 'FAILED' ]; then
@@ -455,6 +467,6 @@
     ## Save tested configuration if trusting failed in production mode (-p|--prod)
     if [[ ${TRUST_FLAG_RESULT} == 'FAILED' && ${TRUST_FLAG_PROD} -eq 1 ]]; then
-	echo 'Creating archive '${TRUST_TEST_BACKUP}' under '${TRUST_DIR_STORE}
-	tar -czf ${TRUST_DIR_STORE}/${TRUST_TEST_BACKUP}                 * \
+	echo 'Creating archive '${TRUST_TEST_BACKUP}' under '${TRUST_TEST_BENCHMARK}
+	tar -czf ${TRUST_TEST_BENCHMARK}/${TRUST_TEST_BACKUP}                 * \
 	    -C   ${TRUST_DIR_NEMOGCM}/CONFIG/${TRUST_CFG_NEW}/MY_SRC . \
 	    -C   ${TRUST_DIR_NEMOGCM}/CONFIG/${TRUST_CFG_NEW}          \
Index: /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/trusting.sh
===================================================================
--- /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/trusting.sh	(revision 8817)
+++ /branches/2015/dev_r5092_CNRS18_TRUST/NEMOGCM/TRUST/trusting.sh	(revision 8818)
@@ -4,11 +4,14 @@
 cd $( dirname $0 )
 
-## Set defaults
-##---------------------------------------------------
+## Set flags & defaults
+##--------------------------------------------------------------------------------
+
 TRUST_MAIN_DIR=$PWD
+
 TRUST_FLAG_DEBUG=0; TRUST_FLAG_PROD=0; TRUST_FLAG_HELP=0
+TRUST_FLAG_RESULT='FAILED'; TRUST_FLAG_ERROR=0
+
 ## No update on SVN directories & 'FAILED' result for 'Unknown error' )
 TRUST_SVN_ACTION='svn status'
-TRUST_FLAG_RESULT='FAILED'; TRUST_FLAG_ERROR=0
 
 xios_mode='--full'; stdout_redir='>&'
@@ -17,11 +20,12 @@
 
 ## Get options (replacing initials settings)
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 while [ $# -ne 0 ]; do
 
     case $1 in
-	'-a'|'--archive') TRUST_CFG_FORC=$2; shift 2;; '-b'|'--branch' ) TRUST_SVN_BRANCH=$2; shift 2;;
+	'-a'|'--archive') TRUST_IO_FORC_TAR=$2; shift 2;; '-b'|'--branch' ) TRUST_SVN_BRANCH=$2; shift 2;;
 	'-d'|'--debug'  ) TRUST_FLAG_DEBUG=1 ; shift  ;; '-e'|'--email'  ) TRUST_TEST_MAILING=$2; shift 2;;
-	'-f'|'--forcdir') TRUST_DIR_FORC=$2; shift 2;; '-j'|'--job'    ) TRUST_COMPILE_NPROC=$2; shift 2;;
+	'-f'|'--forcdir') TRUST_IO_FORC_PATH=$2; shift 2;; '-j'|'--job'    ) TRUST_COMPILE_NPROC=$2; shift 2;;
 	'-h'|'--help'   ) TRUST_FLAG_HELP=1 ; shift  ;; '-m'|'--machine') TRUST_MAIN_HPCC=$2; shift 2;;
 	'-n'|'--newconf') TRUST_CFG_NEW=$2; shift 2;; '-r'|'--refconf') TRUST_CFG_REF=$2; shift 2;;
@@ -35,5 +39,6 @@
 
 ## Initialization (HPC & user environment)
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 if [[ ! -e cfg/${TRUST_MAIN_USER}.cfg || ! -e cfg/${TRUST_MAIN_HPCC}.cfg || ${TRUST_FLAG_HELP} -eq 1 ]]; then
     cat ./inc/trusting_help.txt
@@ -69,5 +74,6 @@
 
 ## Display contextual summary of trusting test
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 echo
 
@@ -82,18 +88,22 @@
 echo '****************************************************************************************************'
 echo
+printf "\t§ (Super)Computer\t\t%s\n" 		       ${TRUST_MAIN_HPCC}
+printf "\t§ User installation\t\t%s\n\n" 	       ${TRUST_MAIN_USER}
+echo
 printf "\t§ Testing configuration\t\t%s based on %s\n" ${TRUST_CFG_NEW} ${TRUST_CFG_REF}
 printf "\t§ SVN working copy\t\t%s/%s\n"               ${TRUST_DIR_WORK} ${TRUST_SVN_BRANCH}
-printf "\t§ Benchmark folder\t\t%s\n"       	       ${TRUST_DIR_STORE}
-printf "\t§ (Super)Computer\t\t%s\n" 		       ${TRUST_MAIN_HPCC}
-printf "\t§ User installation\t\t%s\n\n" 	       ${TRUST_MAIN_USER}
+if [ ${TRUST_TEST_BENCHMARK} ]; then
+printf "\t§ Benchmark folder\t\t%s\n"       	       ${TRUST_TEST_BENCHMARK}
+fi
 
 
 ## Make timestamped directory with messenger files
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 print_step 'Timestamped testing directory'
 
-mkdir -p ${TRUST_DIR_SCRATCH} ${TRUST_DIR_STORE}
-cd       ${TRUST_DIR_SCRATCH}
-echo     ${TRUST_DIR_SCRATCH}
+mkdir -p ${TRUST_TEST_DIR} ${TRUST_TEST_BENCHMARK}
+cd       ${TRUST_TEST_DIR}
+echo     ${TRUST_TEST_DIR}
 
 init_files
@@ -103,5 +113,6 @@
 
 ## Get SVN revision on XIOS & NEMO essentials directories
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 print_step "SVN action on NEMO directories: ${TRUST_SVN_ACTION}"
 
@@ -110,5 +121,6 @@
 
 ## Check softwares versions (after sourced arch environment)
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 print_step 'Get testing environement'
 
@@ -120,8 +132,9 @@
 
 ## XIOS compilation from scratch
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 print_step 'Compile XIOS'
 
-cd ${TRUST_DIR_XIOS}
+cd ${TRUST_IO_XIOS}
 
 eval ./make_xios ${xios_mode} --arch ${TRUST_MAIN_HPCC} --job ${TRUST_COMPILE_NPROC} \
@@ -132,8 +145,9 @@
 
 ## NEMO compilation from scratch
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 print_step "Compile ${TRUST_CFG_REF} configuration"
 
-cd ${TRUST_DIR_NEMOGCM}/CONFIG
+cd ${TRUST_SVN_NEMOGCM}/CONFIG
 
 if [[ -d ${TRUST_CFG_NEW} && ${TRUST_FLAG_DEBUG} -eq 0 ]]; then
@@ -153,13 +167,14 @@
 
 ## Get all inputs for running
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 print_step 'Set job (copying or extracting inputs)'
 
-cd ${TRUST_DIR_SCRATCH}
+cd ${TRUST_TEST_DIR}
 
 get_inputs
 
-cp   ${TRUST_DIR_NEMOGCM}/CONFIG/${TRUST_CFG_NEW}/cpp_* .
-find ${TRUST_DIR_NEMOGCM}/CONFIG/${TRUST_CFG_NEW}/EXP00   \
+cp   ${TRUST_SVN_NEMOGCM}/CONFIG/${TRUST_CFG_NEW}/cpp_* .
+find ${TRUST_SVN_NEMOGCM}/CONFIG/${TRUST_CFG_NEW}/EXP00   \
     -regex '.*\(_cfg\|.in\|opa\|_ref\|.xml\)' \
     -exec  cp {} . \;
@@ -167,5 +182,6 @@
 
 ## Check inputs
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 print_step 'Compare inputs'
 
@@ -174,9 +190,10 @@
 
 ## Job submission & computation
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 print_step 'Submit job'
 
 ## Copy the submitting script to testing folder
-cp ${TRUST_JOB_SCRIPT} ${TRUST_DIR_SCRATCH}
+cp ${TRUST_JOB_SCRIPT} ${TRUST_TEST_DIR}
 TRUST_JOB_ID=$( eval ${TRUST_JOB_SUBMIT} )
 
@@ -191,5 +208,6 @@
 
 ## Check job state & get computation performances if succeeded
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 print_step 'Test job state'
 
@@ -208,5 +226,6 @@
 
 ## Check outputs
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 TRUST_FLAG_RESULT='OK' ## 'OK' by default
 
@@ -223,4 +242,5 @@
 
 ## End, at least nothing major has changed ;-)
-##---------------------------------------------------
+##--------------------------------------------------------------------------------
+
 get_out 0
